curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/write \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}一連のコンタクトの配信登録ステータスを更新します。
curl --request POST \
--url https://api.hubapi.com/communication-preferences/v4/statuses/batch/write \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"channel": "EMAIL",
"statusState": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"channel": "EMAIL",
"source": "<string>",
"status": "NOT_SPECIFIED",
"subscriberIdString": "<string>",
"subscriptionId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"businessUnitId": 123,
"legalBasis": "CONSENT_WITH_NOTICE",
"legalBasisExplanation": "<string>",
"setStatusSuccessReason": "NO_STATUS_CHANGE",
"subscriptionName": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
バッチ処理が完了した日時。
バッチ処理の結果が格納される配列。
Show child attributes
バッチ処理が開始された日時。
バッチ処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
CANCELED, COMPLETE, PENDING, PROCESSING 発生した問題について詳述するエラーオブジェクトの配列。
Show child attributes
関連するリソースやドキュメントにリンクしているURL。
Show child attributes
バッチ処理中に発生したエラーの数。
リクエストが行われた日時。